package at.ac.uibk.gitsearch.repository.jpa;

import at.ac.uibk.gitsearch.domain.ReviewRating;
import java.util.List;
import org.springframework.data.jpa.repository.JpaRepository;

public interface ReviewRatingRepository extends JpaRepository<ReviewRating, Long> {
    void deleteByReviewId(Long reviewId);

    List<ReviewRating> findAllByUserId(Long userId);
}
