package at.ac.uibk.gitsearch.repository.jpa;

import at.ac.uibk.gitsearch.domain.Review;
import java.util.List;
import java.util.Optional;
import org.springframework.data.jpa.repository.JpaRepository;

public interface ReviewRepository extends JpaRepository<Review, Long> {
    List<Review> findAllByRequestedBy(Long userId);

    Optional<Review> findOneByResource(String resource);
}
