import { Route } from '@angular/router';
import { UserRouteAccessService } from 'app/core/auth/user-route-access.service';
import { PeerReviewingComponent } from './peer-reviewing.component';

export const peerReviewingRoute: Route = {
  path: 'peer-reviewing',
  component: PeerReviewingComponent,
  data: {
    pageTitle: 'Peer Reviewing',
  },
  canActivate: [UserRouteAccessService],
};
