package at.ac.uibk.gitsearch.service.dto;

import at.ac.uibk.gitsearch.testingUtilities.PropertiesTester;
import nl.jqno.equalsverifier.EqualsVerifier;
import nl.jqno.equalsverifier.Warning;
import org.codeability.sharing.plugins.api.search.SearchResultDTO;
import org.junit.Assert;
import org.junit.jupiter.api.Test;

public class SearchResultDTOTest {

    PropertiesTester propertiesTester = new PropertiesTester();

    @Test
    public void dtoEqualsVerifier() throws Exception {
        propertiesTester.testProperties(SearchResultDTO.class);
        SearchResultDTO testSR = new SearchResultDTO();
        SearchResultDTO testSRclone = new SearchResultDTO(testSR);
        Assert.assertEquals("clone should be equal", testSR, testSRclone);
        EqualsVerifier
            .forClass(SearchResultDTO.class)
            .suppress(Warning.NONFINAL_FIELDS)
            .withIgnoredFields("ranking5", "supportedActions")
            .verify();
    }
}
